I finally gave up getting my nForce 4 MB's nic to work, so I disabled it in the BIOS & installed my trusty Linksys card & voila! Everything works. From what I gathered, both here & other research, it seems that forcedeth currently offers no support for nForce 4 chipsets. If I am wrong, please let me know!
Also, for those of you with ATI pci express video cards, I found when installing the driver (ver. 8.23.7) DO NOT use the automatic install! Instead choose to make custom install and use Debian Sid, NOT Etch! My machine now works perfectly & I subsequently installed Quake 4 & it runs without a hitch!
I also noted that getting my printers to work with Etch was a cinch. I installed the print server packages as well as desktop. I am very happy with Etch at this point.